--------------------------------------------------------------------------------
-- |
-- Module      : TreasureHunters.Server.Main
-- Copyright   : (c) Milan Straka, 2015
-- License     : BSD3
--
-- Maintainer  : fox@ucw.cz
-- Stability   : provisional
-- Portability :
--------------------------------------------------------------------------------

module Main (main) where

import Control.Exception
import System.Environment

import TreasureHunters.Server.HTTPServer
import TreasureHunters.Server.Server
import TreasureHunters.Utils

main :: IO ()
main = handle (showException "Pri behu serveru doslo k chybe") $ do
  args <- getArgs
  let !port = 8000 `maybe` (fromInteger . readWithError "Nelze nacist cislo portu.") $ maybeAt 0 args
      !map = maybeAt 1 args
      !timeout = 0 `maybe` (readWithError "Nelze nacist timeout.") $ maybeAt 2 args
  server <- initServer map timeout
  startServer port server
