{-# LANGUAGE TemplateHaskell #-}
--------------------------------------------------------------------------------
-- |
-- Module      : TreasureHunters.Server
-- Copyright   : (c) Milan Straka, 2015
-- License     : BSD3
--
-- Maintainer  : fox@ucw.cz
-- Stability   : provisional
-- Portability :
--------------------------------------------------------------------------------

module TreasureHunters.Server.Resources ( headerHTML
                                        , jsHeaderHTML
                                        , bodyHTML
                                        , footerHTML
                                        , bootstrapCSS
                                        , bootstrapJS
                                        , jQueryJS
                                        , defaultMap
                                        , clientHTML
                                        ) where

import Language.Haskell.TH
import System.FilePath
import System.IO

headerHTML :: String
headerHTML = $(stringE =<< runIO (openFile ("resources" </> "header.html") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

jsHeaderHTML :: String
jsHeaderHTML = $(stringE =<< runIO (openFile ("resources" </> "js_header.html") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

bodyHTML :: String
bodyHTML = $(stringE =<< runIO (openFile ("resources" </> "body.html") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

footerHTML :: String
footerHTML = $(stringE =<< runIO (openFile ("resources" </> "footer.html") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

bootstrapCSS :: String
bootstrapCSS = $(stringE =<< runIO (openFile ("resources" </> "bootstrap.min.css") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

bootstrapJS :: String
bootstrapJS = $(stringE =<< runIO (openFile ("resources" </> "bootstrap.min.js") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

jQueryJS :: String
jQueryJS = $(stringE =<< runIO (openFile ("resources" </> "jquery.min.js") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

defaultMap :: String
defaultMap = $(stringE =<< runIO (openFile ("resources" </> "default.map") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))

clientHTML :: String
clientHTML = $(stringE =<< runIO (openFile ("resources" </> "client.html") ReadMode >>= \handle -> hSetEncoding handle utf8 >> hGetContents handle))
